use winit::dpi::PhysicalPosition;

use super::virtual_input::VirtualInput;

#[derive(Debug, Default)]
pub struct MouseState {
    old_position: glam::Vec2,
    pub position: glam::Vec2,
    pub delta: glam::Vec2,
}

impl MouseState {
    pub fn process_window_event(&mut self, position: &PhysicalPosition<f64>) {
        self.position = glam::Vec2::new(position.x as f32, position.y as f32);
    }

    pub fn update(&mut self, virtual_input: &mut VirtualInput) {
        self.delta = self.position - self.old_position;
        self.old_position = self.position;
        virtual_input.update_mouse_binding(&self.delta);
    }
}
