use winit::{event::AxisId, keyboard::PhysicalKey};

#[derive(Clone)]
pub enum AxisDirection {
    Positive,
    Negative,
}

impl From<&AxisDirection> for f32 {
    fn from(direction: &AxisDirection) -> Self {
        match direction {
            AxisDirection::Positive => 1.0,
            AxisDirection::Negative => -1.0,
        }
    }
}

#[derive(Clone)]
pub enum VirtualBinding {
    Keyboard(PhysicalKey, AxisDirection),
    Axis(AxisId, AxisDirection, f32), // f32 deadzone
    MouseX(AxisDirection),
    MouseY(AxisDirection),
}
